> ## Documentation Index
> Fetch the complete documentation index at: https://docs.helohq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create suppressions

> Adds email addresses to the suppression list to prevent future sends.



## OpenAPI

````yaml /openapi.json post /suppressions
openapi: 3.1.0
info:
  description: Helo API
  version: 1.0.0-beta.1
  title: Helo API
servers:
  - url: https://api.helohq.com
security: []
tags:
  - name: Activity
    description: >-
      Track and retrieve message activity, including messages, delivery and
      engagement events.
  - name: Broadcasts
    description: Manage and track broadcast email campaigns.
  - name: Channels
    description: Create and manage communication channels for organizing messages.
  - name: Domains
    description: Register, verify, and manage domains for email sending.
  - name: Sending
    description: Send transactional and broadcast emails.
  - name: Statistics
    description: Access activity statistics.
  - name: Webhooks
    description: Create and manage webhooks for event notifications.
paths:
  /suppressions:
    post:
      tags:
        - Suppressions
      summary: Create suppressions
      description: Adds email addresses to the suppression list to prevent future sends.
      operationId: Suppressions_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSuppressionsRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSuppressionsResponse'
        '401':
          $ref: '#/components/responses/401WithError'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
        '500':
          $ref: '#/components/responses/500'
      security: []
      x-codeSamples:
        - lang: ruby
          source: |-
            Helo.configure do |config|
              config.api_key = ENV.fetch("HELO_API_KEY")
            end

            create_suppressions_request = Helo::CreateSuppressionsRequest.new(
              channel_id: "550e8400-e29b-41d4-a716-446655440000",
              mail_type: Helo::MailType::TRANSACTIONAL,
              emails: ["example1", "example2"]
            )
            Helo::Suppressions.create(create_suppressions_request)
        - lang: javascript
          source: |-
            import Helo from "@helo-email/sdk";

            const apiKey = process.env.HELO_API_KEY;
            const helo = new Helo(apiKey);

            const result = await helo.suppressions.create({
              channelId: "550e8400-e29b-41d4-a716-446655440000",
              mailType: Helo.MailType.TRANSACTIONAL,
              emails: ["example1", "example2"],
            });
        - lang: go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/helo-email/helo-sdk-go\"\n)\n\nfunc main() {\n\tclient := helo.NewHelo(os.Getenv(\"HELO_API_KEY\"))\n\tctx := context.Background()\n\n\tparams := &helo.CreateSuppressionsRequest{\n\t\tChannelID: \"550e8400-e29b-41d4-a716-446655440000\",\n\t\tMailType: helo.MailTypeTransactional,\n\t\tEmails: []string{\"example1\", \"example2\"},\n\t}\n\tresult, err := client.Suppressions.Create(ctx, params)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\t_ = result\n}"
        - lang: csharp
          source: >-
            using HeloEmail.Sdk.Activity;

            using HeloEmail.Sdk.Suppressions;


            var result = await helo.Suppressions.Create(new
            CreateSuppressionsRequest

            {
                ChannelId = "channel-id",
                MailType = MailType.Transactional,
                Emails = ["blocked@example.com"],
            });
        - lang: python
          source: |-
            import sdk_helo_email as helo

            client = helo.Helo()  # reads HELO_API_KEY from the environment

            result = client.suppressions.create(
                channel_id="channel-id",
                mail_type=helo.MailType.TRANSACTIONAL,
                emails=["blocked@example.com"],
            )
components:
  schemas:
    CreateSuppressionsRequest:
      type: object
      properties:
        channelId:
          type: string
          format: uuid
        mailType:
          $ref: '#/components/schemas/MailType'
        emails:
          type: array
          items:
            type: string
      required:
        - channelId
        - mailType
        - emails
    CreateSuppressionsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/SuppressionResult'
      required:
        - results
    MailType:
      enum:
        - transactional
        - broadcast
    SuppressionResult:
      type: object
      properties:
        email:
          type: string
        success:
          type: boolean
        message:
          type: string
      required:
        - email
        - success
    ErrorResponse:
      description: Standard error response body.
      type: object
      properties:
        type:
          description: A URI reference identifying the problem type.
          type: string
        title:
          description: Short, human-readable summary of the problem.
          type: string
        instance:
          description: URI reference identifying the specific occurrence of the problem.
          type: string
        status:
          description: HTTP status code.
          type: integer
          format: int32
        code:
          description: Application-specific error code.
          type: string
        detail:
          description: Human-readable explanation of this specific occurrence.
          type: string
        requestId:
          description: Unique request ID, useful for support correlation.
          type: string
        errors:
          description: Field-level validation errors, keyed by field name.
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ValidationError'
    ValidationError:
      description: A single field validation error.
      required:
        - message
      type: object
      properties:
        message:
          description: Description of the validation failure.
          type: string
  responses:
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '422':
      description: Unprocessable Entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    401WithError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````